﻿// JScript File
var LOCAL = {};

//
// Main gadget strings
//
LOCAL.Title = "Live Search Maps";
LOCAL.Loading = "Loading...";
LOCAL.LoadingAlt = "Loading"; //image alt attribute

LOCAL.LoadingError = "Service Unavailable";
LOCAL.LoadingErrorAlt = "Service Unavailable";


// Search Provider
//
LOCAL.SearchProviderGUID = "{0633EE93-D776-472f-A0FF-E1416B8B2E3A}";
LOCAL.SearchProviderDisplayName = "Live Search";
LOCAL.SearchProviderURL = "http://search.live.com/results.aspx?q={searchTerms}&src={referrer:source?}";

LOCAL.SearchProviderAskMessage = 'Make <span style="font-size:120%;color:white;">Live&nbsp;Search&trade;</span><br />your default search provider?';
LOCAL.SearchProviderYes = "Yes";
LOCAL.SearchProviderNo = "No";


// Auto Update
LOCAL.AutoUpdateAskMessage = 'Version {0} of this gadget is available.<p>Get it now?</p>';
LOCAL.AutoUpdateYes = "Yes";
LOCAL.AutoUpdateNo = "No";

LOCAL.AutoUpdateCheckNow = "Check Now";
LOCAL.AutoUpdateChecking = "Checking";
LOCAL.AutoUpdateNewVersion = "A new version {0} of this gadget is available. Get it now?"; //will be in an alert box. NO HTML allowed
LOCAL.AutoUpdateLatestVersion = "Your version of this gadget is up to date."; //will be in an alert box. NO HTML allowed



//
// Menu Items
//
LOCAL.TrafficTitle = "Traffic Details from Live Search";
LOCAL.TrafficUrlMask = "http://maps.live.com/default.aspx?v=2&cp={0}~{1}&style=r&lvl={2}&tilt=-90&dir=0&alt=-1000&trfc=1&refer=sidebarTrafficGadget";

LOCAL.DirectionsTitle = "Get Driving Directions";
LOCAL.DirectionsUrlMask = "http://maps.live.com/default.aspx?v=2&cp={0}~{1}&style=r&lvl={2}&tilt=-90&dir=0&alt=-1000&trfc=0&rtp=&refer=sidebarTrafficGadget";

LOCAL.SearchTitle = "Search the Map";
LOCAL.SearchUrlMask = "http://maps.live.com/default.aspx?v=2&cp={0}~{1}&style=r&lvl={2}&tilt=-90&dir=0&alt=-1000&trfc=0&refer=sidebarTrafficGadget";




//LOCAL.Overlay3DText = "Install the 3D&nbsp;Map&nbsp;Control?";
//LOCAL.Overlay3DYes = "Yes";
//LOCAL.Overlay3DNo = "No";
//LOCAL.Overlay3DUrl = "http://maps.live.com/default.aspx?v=2&cp=39.9771~-98.9648&style=r&lvl=4&tilt=-90&dir=0&alt=6500000&scene=2975535";